function [xa,b]=alevel(x,a,alpha)
%       [XA,B]=ALEVEL(X,A,ALPHA) Alpha-level of fuzzy set A.
%       Alpha-level of a fuzzy set A is a classical set {x,Ax=alpha},
%       alpha is from <0,1>.
%
%       XA is the alpha-level, and B is A.*(A==ALPHA).
%
%       See also ACUT, ACUTS.

% (c) Robert Babuska, March 1993

i = a >= alpha-1e-4 & a <= alpha+1e-4;
xa = x(i);
b = a.*i;

