function c=and_za(a,b)
%       C=AND_ZA(A,B) The intersection of two fuzzy sets A and B
%       defined by Zadeh as AND_ZA(A,B) = min(Ax,Bx).
%
%       If A and B are both row or column vectors, then C
%       is also a row or column vector. If A is a column vector
%       and B a row vector, then a matrix C is returned,
%       representing the Cartesian product A x B.
%
%       C = AND_ZA(A) calculates intersection of all rows in A.
%
%       See also AND, AND_LU, AND_PR, AND_RE.

% (c) Robert Babuska, March 1993

if nargin == 2,
  [am,an] = size(a); [bm,bn] = size(b);
  if ( am > 1 & an == 1 & bn > 1 )
      a = a * ones(1,bn);
      if ( bm == 1 )
          b = ones(am,1) * b;
      end;
  end;
  c = min(a,b);
else
  c = min(a);
end;

