function c=csum(a,b,lambda)
%       C=CSUM(A,B,LAMBDA) Convex linear sum of min and max of A and B
%       CSUM(A,B,lambda) = lambda*min(Ax,Bx) + (1-lambda)*max(Ax,Bx).
%
%       If A and B are both row or column vectors, then C
%       is also a row or column vector. If A is a column vector
%       and B a row vector, then a matrix C is returned,
%       representing the Cartesian product A x B.

% (c) Robert Babuska, March 1993

am = length(a(:,1)); bn = length(b(1,:));
if ( am > 1 & bn > 1 )
    a=a*ones(1,bn); b=ones(am,1)*b;
end;

c = lambda * min(a,b) + (1-lambda) * max(a,b);

