function b=ext(a)
%       B = EXT(A) contrast extensification defined as
%
%       Bx = sqrt(Ax/2)         for Ax <= 0.5
%       Bx = 1 - sqrt((1-a)/2)  for Ax >  0.5
%
%       See also DIL, CONC, POWER, INTSF, PLUS, MINUS, NORMAL.

% (c) Robert Babuska, March 1993

b = (a <= 0.5) .* sqrt(0.5*a) + (a > 0.5) .* (1 - sqrt( (1 - a)/2 ));

