function  [sys, x0]  = sfunrel(t,x,u,flag,R)
% SFUNREL an S-function which performs MAX-MIN composition.
%
%       This M-file is designed to be used in a SIMULINK S-function block.
%	
%       The input arguments are
%       R:              Fuzzy relation.

% (c) Robert Babuska, December 1993

if abs(flag) == 2                       % state
   sys = x;

elseif flag == 3                        % output
  sys = sup_min(u',R)';
elseif flag  == 0,
  npoints = size(R,2);
  % [cont, discr, outputs, inputs, roots, feedthrough]
  sys = [0, npoints, npoints, size(R,1), 0, 1];
  x0 = zeros(npoints,1);
else 
    sys = [];
end

