function D=gendist(a,b,p)
%       D = GENDIST(A,B,P) General distance function defined as
%       D(x,z) = (sum ( abs( a(x,y) - b(y,z) )^p )^(1/p))
%
%       See also GENCRIT.

% (c) Robert Babuska, March 1993

[bm,bn] = size(b); [am,an] = size(a); bn1 = ones(1,bn);

if (an == 1 & bm == 1)                  % 1st column 2nd row, both scalars
    D=abs(a*ones(1,bn) - ones(am,1)*b);
    return;
end;

if (max(am,an) == 1 | max(bm,bn) == 1)  % one or both scalars
    D=abs(a - b);
    return;
end;

d =am;
if am > 1, a = a'; else d = an; end;   % other cases

for i=1:d
    D(i,:)=sum(abs(a(:,i)*bn1-b).^p);
end
D = D.^(1/p);
if am == 1, D = D'; end;
