function c = impl_la(a,b)
%   IMPL_LA(A,B)  Larsen's implication defined as:
%
%       impl_la(A,B) = Ax*Bx
%
%   See also IMPL_BG, IMPL_GO, IMPL_KD, IMPL_LU, IMPL_MD, IMPL_RE,
%            IMPL_RS, IMPL_WI.

% (c) Robert Babuska, March 1993

[am,an] = size(a); [bm,bn] = size(b);
if ( am > 1 & an == 1 & bn > 1 )
    a = a * ones(1,bn);
    if ( bm == 1 )
        b = ones(am,1) * b;
    end;
end;
c = a.*b;

