function c = impl_rs(a,b)
%   IMPL_RS(A,B)  Rescher's implication defined as:
%
%       impl_rs(A,B) = 1        if Ax <= Bx
%       impl_rs(A,B) = 0        otherwise
%
%   See also IMPL_BG, IMPL_GO, IMPL_KD, IMPL_LA, IMPL_LU, IMPL_MD,
%            IMPL_RE, IMPL_WI.

% (c) Robert Babuska, March 1993

[am,an] = size(a); [bm,bn] = size(b);
if ( am > 1 & an == 1 & bn > 1 )
    a = a * ones(1,bn);
    if ( bm == 1 )
        b = ones(am,1) * b;
    end;
end;

c = ones(am,bn);
c(a>b) = 0*c(a>b);

